Update an API Tool
Update an API tool by ID.
Endpoint
PATCH/api-tools/:id
Request
Response
json
Editable Fields
| Parameter | Type | Description |
|---|---|---|
name | String | Tool name |
description | String | Human-readable description |
endpoint | String | Full target URL |
method | String | HTTP method |
headers | Object | Headers sent with requests |
url_parameters | Array | Query and path parameters |
body_parameters | Array | JSON body parameters |
parameters_schema | Object | Optional OpenAI-compatible schema |
response_example | Any | Example response |
Updating Associated Assistants
Changing an API tool updates the reusable tool definition. Assistant associations are stored separately on each assistant in the api_tools field.
To change when an assistant should use a tool, patch the assistant:
Report an issue with this documentation
Please log in to report issues with our documentation.